clear all
close all
tipo=input(sprintf('\nDIGITE A PLANTA QUE DESEJA TESTAR  '));

if tipo==1
   disp('ERRO - ESTA PLANTA NAO FOI CONFIGURADA')
elseif tipo==2
    load planta21
  % load final2
   %load simul34
   load dados2
   [X,Xv,Xt1,Xt2]=norma3(X,Xv,Xt1,Xt2);

elseif tipo==3
   load final3
    %  load planta31
   %load simul33
   load dados3
   [X,Xv,Xt]=norma2(X,Xv,Xt);

elseif tipo==4
%   load planta4
   load simul4
   load dados4
   [X,Xv,Xt]=norma2(X,Xv,Xt);

elseif tipo==5
%   load planta5
   load simul15
   load dados5
   [X,Xv,Xt1,Xt2]=norma3(X,Xv,Xt1,Xt2);
end

disp('****************************************************************')
disp(sprintf('\nTESTANDO A PLANTA N%d SOBRE O CONJUNTO DE TREINAMENTO  ',tipo));
disp('****************************************************************')
disp(sprintf('\nNUMERO DE REDES ESPECIALISTAS %d ',model.Nm));

disp(sprintf('\nNUMERO DE NEURONIOS PARA CADA ESPECIALISTA %d ',model.h));


for i=1:model.Nm
   Esp(:,i)=perceptrons(X,model.models(i).A,model.models(i).B);
end

gates = gate(model.gating, X);

Sr=gates.*Esp;

erro=S-sum(Sr')';

EQM=erro'*erro/length(erro);

disp(sprintf('\nERRO QUADRATICO MEDIO NO CONJUNTO DE TREINAMENTO FOI %f',EQM))

disp('****************************************************************')
disp(sprintf('\nTESTANDO A PLANTA SOBRE O CONJUNTO DE TESTE  '));
disp('****************************************************************')

if tipo==3 | tipo==4 
   Esp=[];
	for i=1:model.Nm
   	Esp(:,i)=perceptrons(Xt,model.models(i).A,model.models(i).B);
	end

	gates = gate(model.gating, Xt);

	Sr=gates.*Esp;

	erro=St-sum(Sr')';

	EQM=erro'*erro/length(erro);

	disp(sprintf('\nERRO QUADRATICO MEDIO NO CONJUNTO DE TESTE %f',EQM))

	figure(1)
	subplot(model.Nm+1,1,1)
	plot(St)
	axis off
	for i=1:model.Nm,
   	subplot(model.Nm+1,1,i+1)
   	plot(gates(:,i))
   	axis off
	end

	figure(2)
	for i=1:model.Nm,
   	subplot(model.Nm,1,i)
   	plot(Esp(:,i))
   	axis off
	end

	[N,ne]=size(Xt);

	if ne==2
		figure(3)
      clf
      [x1,x2] = meshgrid(-1:.01:1, -1:.01:1);
      n=length(x1);
      x=[reshape(x1,n*n,1),reshape(x2,n*n,1)];
		g = gate(model.gating, x);
		g1=reshape(g(:,1),n,n);
		g2=reshape(g(:,2),n,n);
		mesh(x1,x2,g1)
		hold on
		mesh(x1,x2,g2)
	end

	figure(4)
	clf
	plot(sum(Sr')')
	hold on
   plot(St,'r--')
   
elseif tipo==2 | tipo==5
   Esp=[];
   for i=1:model.Nm
   	Esp(:,i)=perceptrons(Xt1,model.models(i).A,model.models(i).B);
	end

	gates = gate(model.gating, Xt1);

	Sr=gates.*Esp;

	erro=St1-sum(Sr')';

	EQM=erro'*erro/length(erro);

	disp(sprintf('\nERRO QUADRATICO MEDIO NO 1 CONJUNTO DE TESTE %f',EQM))

	figure(1)
	subplot(model.Nm+1,1,1)
	plot(St1)
	axis off
	for i=1:model.Nm,
   	subplot(model.Nm+1,1,i+1)
   	plot(gates(:,i))
   	axis off
	end

	figure(2)
	for i=1:model.Nm,
   	subplot(model.Nm+2,1,i)
   	plot(Esp(:,i))
   	axis off
	end
   subplot(model.Nm+2,1,model.Nm+1)
   plot(sum(Sr')')
   subplot(model.Nm+2,1,model.Nm+2)
   plot(erro)


	[N,ne]=size(Xt1);

	if ne==2
		figure(3)
      clf
      [x1,x2] = meshgrid(-1:.01:1, -1:.01:1);
      n=length(x1);
      x11=reshape(x1,sqrt(n),sqrt(n));
      x12=reshape(x2,sqrt(n),sqrt(n));
      x=[x11,x12];
		g = gate(model.gating, x);
		g1=reshape(g(:,1),sqrt(n),sqrt(n));
		g2=reshape(g(:,2),sqrt(n),sqrt(n));
		mesh(x1,x2,g1)
		hold on
		mesh(x1,x2,g2)
	end

	figure(4)
	clf
	plot(sum(Sr')')
	hold on
   plot(St1,'r--')
   
   Esp=[];
   for i=1:model.Nm
   	Esp(:,i)=perceptrons(Xt2,model.models(i).A,model.models(i).B);
	end

	gates = gate(model.gating, Xt2);

	Sr=gates.*Esp;

	erro=St2-sum(Sr')';

	EQM=erro'*erro/length(erro);

	disp(sprintf('\nERRO QUADRATICO MEDIO NO 2 CONJUNTO DE TESTE %f',EQM))

	figure(5)
	subplot(model.Nm+1,1,1)
	plot(St2)
	axis off
	for i=1:model.Nm,
   	subplot(model.Nm+1,1,i+1)
   	plot(gates(:,i))
   	axis off
	end

	figure(6)
	for i=1:model.Nm,
   	subplot(model.Nm,1,i)
   	plot(Esp(:,i))
   	axis off
	end

	[N,ne]=size(Xt2);

	if ne==2
	figure(7)
	clf
	x1=reshape(Xt2(:,1),sqrt(N),sqrt(N));
	x2=reshape(Xt2(:,2),sqrt(N),sqrt(N));
	g1=reshape(gates(:,1),sqrt(N),sqrt(N));
	g2=reshape(gates(:,2),sqrt(N),sqrt(N));
	mesh(x1,x2,g1)
	hold on
	mesh(x1,x2,g2)
	end

	figure(8)
	clf
	plot(sum(Sr')')
	hold on
   plot(St2,'r--')

end
