function [Xtr,Ytr,Xval,Yval, Xts, Yts]=carrega()

global typeProb typeInst nrun

disp(sprintf('\n********************************************************'))
disp(sprintf('****************TRAINING LEARNING MACHINE*********'))
disp(sprintf('********************************************************'))
disp(sprintf('\n***********TIPOS DE PROBLEMAS DEFINIDOS NO MOMENTO****'))
disp(sprintf('[1] ***************APPROXIMAO DE FUNO***************'))
disp(sprintf('[2] ***************CLASSIFICACAO DE FUNO**************'))
disp(sprintf('[3] ***************BIOINFORMATICA***********************'))
disp(sprintf('[4] ***************IDENTIFICACAO DE SISTEMAS************'))
disp(sprintf('[5] ***************CONTROLE DE SISTEMAS*****************'))
disp(sprintf('[6] ***************PREDICAO DE SERIES TEMPORAIS*********'))

if isempty(typeProb)
    typeProb=input('\nQual Problema deseja simular ');
end
   
if typeProb==1
    disp(sprintf('[1] - Funo Wanh etal'))
    disp(sprintf('[2] - Funo Gabor'))
    disp(sprintf('[3] - Funo Sinc - Jang'))
    disp(sprintf('[4] - Funo Three Input - Jang'))
    disp(sprintf('[5] - Boston - Price'))    
elseif typeProb==2
    disp(sprintf('[1] - Spiral'))
    disp(sprintf('[2] - Credit Card Assessement Australian'))
    disp(sprintf('[3] - Breast Cancer - 569 exemplos'))
    disp(sprintf('[4] - Breast Cancer - 699 exemplos'))
    disp(sprintf('[5] - Prima Diabetes'))
elseif typeProb ==3   
    disp(sprintf('[1] - Cancer - Alon Bioinformatica'))
    disp(sprintf('[2] - Cancer - Goloub Bioinformatica'))
elseif typeProb ==4
    disp('Nao implementado')
elseif typeProb ==5
    disp('Nao implementado')
elseif typeProb ==6
    disp(sprintf('[1] - Macglass '))
    disp(sprintf('[2] - Sunsplot'))
    disp(sprintf('[3] - Forex USD/GBP'))
    disp(sprintf('[4] - Laser Santa Fe'))
    disp(sprintf('[5] - Vazao Mensal de Furnas (1931-1990)'))
    disp(sprintf('[6] - Bolsa de Valores da Vale Rio Doce PN - Fechamento'))
    disp(sprintf('[7] - Bolsa de Valores do Bradesco PN - Fechamento'))
    disp(sprintf('[8] - Bolsa de Valores do Eletrobras PN - Fechamento'))
elseif typeProb>6
    disp('Escolha incorreta')
end

% Verifica se o as variaveis globais nao existem
if isempty(typeInst)
    typeInst=input('\nQual exemplo deseja simular ');
end   
if isempty(nrun)
    nrun=input('\nQual simulao deseja realizar ');
end

 % -------------------------------------------------------
 % Problema de Aproximacao
 %--------------------------------------------------------
if typeProb==1
   if nrun==1
      if typeInst==1
         load dados1_wang;
      elseif typeInst==2         
         load dados1_gabor;
      elseif typeInst==3
         load dados1_sinc;
      elseif typeInst==4
         load dados1_jang;
      elseif typeInst==7
         load dados1_boston_price;
      end
   elseif nrun==2
      if typeInst==1
         load dados2_wang;
      elseif typeInst==2         
         load dados2_gabor;
      elseif typeInst==3
         load dados2_sinc;
      elseif typeInst==4
         load dados2_jang;
      elseif typeInst==7
         load dados2_boston_price;
      end
   elseif nrun==3
      if typeInst==1
         load dados3_wang;
      elseif typeInst==2         
         load dados3_gabor;
      elseif typeInst==3
         load dados3_sinc;
      elseif typeInst==4
         load dados3_jang;
      elseif typeInst==7
         load dados3_boston_price;
      end
   elseif nrun==4
      if typeInst==1
         load dados4_wang;
      elseif typeInst==2         
         load dados4_gabor;
      elseif typeInst==3
         load dados4_sinc;
      elseif typeInst==4
         load dados4_jang;
      elseif typeInst==7
         load dados4_boston_price;
      end
   elseif nrun==5      
      if typeInst==1
         load dados5_wang;
      elseif typeInst==2         
         load dados5_gabor;
      elseif typeInst==3
         load dados5_sinc;
      elseif typeInst==4
         load dados5_jang;
      elseif typeInst==7
         load dados5_boston_price;
      end
   elseif nrun==6
      if typeInst==1
         load dados6_wang;
      elseif typeInst==2
         load dados6_gabor;
      elseif typeInst==3
         load dados6_sinc;
      elseif typeInst==4
         load dados6_jang;
      elseif typeInst==7
         load dados6_boston_price;
      end
   elseif nrun==7
      if typeInst==1
         load dados7_wang;
      elseif typeInst==2         
         load dados7_gabor;
      elseif typeInst==3
         load dados7_sinc;
      elseif typeInst==4
         load dados7_jang;
      elseif typeInst==7
         load dados7_boston_price;
      end
   elseif nrun==8
      if typeInst==1
         load dados8_wang;
      elseif typeInst==2
         load dados8_gabor;
      elseif typeInst==2
         load dados8_sinc;
      elseif typeInst==3
         load dados8_jang;
      elseif typeInst==5
         load dados8_boston_price;
      end
   elseif nrun==9
      if typeInst==1
         load dados9_wang;
      elseif typeInst==2
         load dados9_gabor;
      elseif typeInst==2
         load dados9_sinc;
      elseif typeInst==3
         load dados9_jang;
      elseif typeInst==5
         load dados9_boston_price;
      end
   elseif nrun==10
      if typeInst==1
         load dados10_wang;
      elseif typeInst==2
         load dados10_gabor;
      elseif typeInst==3
         load dados10_sinc;
      elseif typeInst==4
         load dados10_jang;
      elseif typeInst==7
         load dados10_boston_price;
      end
   end
 % -------------------------------------------------------
 % Problema de Classificacao
 %--------------------------------------------------------
 elseif typeProb==2
    if nrun==1
      if typeInst==1
         load dados1_spiral;
      elseif typeInst==2        
         load dados1_credit;
      elseif typeInst==3
         load dados1_cancer569;
      elseif typeInst==4
         load dados1_cancer699;
      elseif typeInst==5
         load dados1_diabetes;
      end
    elseif nrun==2
         if typeInst==2
         load dados2_spiral;
      elseif typeInst==2
         load dados2_credit;
      elseif typeInst==3
         load dados2_cancer569;
      elseif typeInst==4
         load dados2_cancer699;
      elseif typeInst==5
         load dados2_diabetes;
      end
   elseif nrun==3
        if typeInst==1
         load dados3_spiral;
      elseif typeInst==2
         load dados3_credit;
      elseif typeInst==3
         load dados3_cancer569;
      elseif typeInst==4
         load dados3_cancer699;
      elseif typeInst==5
         load dados3_diabetes;
      end
   elseif nrun==4
        if typeInst==1
         load dados4_spiral;
      elseif typeInst==2
         load dados4_credit;
      elseif typeInst==3
         load dados4_cancer569;
      elseif typeInst==4
         load dados4_cancer699;
      elseif typeInst==5
         load dados4_diabetes;
      end
   elseif nrun==5
        if typeInst==1
         load dados5_spiral;
      elseif typeInst==2
         load dados5_credit;
      elseif typeInst==3
         load dados5_cancer569;
      elseif typeInst==4
         load dados5_cancer699;
      elseif typeInst==5
         load dados5_diabetes;
      end
   elseif nrun==6
        if typeInst==1
         load dados6_spiral;
      elseif typeInst==2
         load dados6_credit;
      elseif typeInst==3
         load dados6_cancer569;
      elseif typeInst==4
         load dados6_cancer699;
      elseif typeInst==5
         load dados6_diabetes;
      end
   elseif nrun==7
        if typeInst==1
         load dados7_spiral;
      elseif typeInst==2
         load dados7_credit;
      elseif typeInst==3
         load dados7_cancer569;
      elseif typeInst==4
         load dados7_cancer699;
      elseif typeInst==5
         load dados7_diabetes;
      end
   elseif nrun==8
        if typeInst==1
         load dados8_spiral;
      elseif typeInst==2
         load dados8_credit;
      elseif typeInst==3
         load dados8_cancer569;
      elseif typeInst==4
         load dados8_cancer699;
      elseif typeInst==5
         load dados8_diabetes;
      end
   elseif nrun==9
        if typeInst==1
         load dados9_spiral;
      elseif typeInst==2
         load dados9_credit;
      elseif typeInst==3
         load dados9_cancer569;
      elseif typeInst==4
         load dados9_cancer699;
      elseif typeInst==5
         load dados9_diabetes;
      end
   elseif nrun==10
      if typeInst==1
         load dados10_spiral;
      elseif typeInst==2
         load dados10_credit;
      elseif typeInst==3
         load dados10_cancer569;
      elseif typeInst==4
         load dados10_cancer699;
      elseif typeInst==5
         load dados10_diabetes;
      end
   end

 % -------------------------------------------------------
 % Bioinformatica
 %--------------------------------------------------------
elseif typeProb==3
    disp('Nao implementado')

 % -------------------------------------------------------
 % Identificacao de Sistemas Dinamicos
 %--------------------------------------------------------    
elseif typeProb==4
    disp('Nao implementado')

 % -------------------------------------------------------
 % Controle de Sistemas Dinamicos
 %--------------------------------------------------------
elseif typeProb==5
    disp('Nao implementado')

 % -------------------------------------------------------
 % Predicao de Series Temporais
 %--------------------------------------------------------
elseif typeProb==6 
   if typeInst==1
       if nrun==1
           disp(sprintf('********Srie Macglass**************')) 
           disp(sprintf('Existe Somente um Conjunto de dados')) 
           disp(sprintf('Nao ha conjunto de validacao diferente'))
           load dados1_macglass;
       elseif nrun==2
           disp(sprintf('********Srie Macglass**************')) 
           disp(sprintf('Existe Somente um Conjunto de dados')) 
           disp(sprintf('Ha um conjunto de validacao diferente'))
           load dados2_macglass;
       end
   elseif typeInst==2     
       if nrun==1
           disp(sprintf('********Srie Sunsplot**************')) 
           disp(sprintf('Existe Somente um Conjunto de dados')) 
           disp(sprintf('Nao ha conjunto de validacao diferente'))
           load dados1_sun;
       elseif nrun==2
           disp(sprintf('********Srie Sunsplot**************')) 
           disp(sprintf('Existe Somente um Conjunto de dados')) 
           disp(sprintf('Ha conjunto de validacao diferente'))
           load dados2_sun;
       end
   elseif typeInst==3
          if nrun==1
           disp(sprintf('********Srie Forex**************')) 
           disp(sprintf('Existe Somente um Conjunto de dados')) 
           disp(sprintf('Nao ha conjunto de validacao diferente'))
           load dados1_forex;
       elseif nrun==2
           disp(sprintf('********Srie Forex**************')) 
           disp(sprintf('Existe Somente um Conjunto de dados')) 
           disp(sprintf('Ha conjunto de validacao diferente'))
           load dados2_forex;
       end
   elseif typeInst==4
          if nrun==1
           disp(sprintf('********Srie Laser**************')) 
           disp(sprintf('Existe Somente um Conjunto de dados')) 
           disp(sprintf('Nao ha conjunto de validacao diferente'))
           load dados1_laser;
       elseif nrun==2
           disp(sprintf('********Srie Laser**************')) 
           disp(sprintf('Existe Somente um Conjunto de dados')) 
           disp(sprintf('Ha conjunto de validacao diferente'))
           load dados2_laser;
       end
   elseif typeInst==5
          if nrun==1
           disp(sprintf('********Srie Furnas**************')) 
           disp(sprintf('Existe Somente um Conjunto de dados')) 
           disp(sprintf('Nao ha conjunto de validacao diferente'))
           load dados1_furnas;
       elseif nrun==2
           disp(sprintf('********Srie Furnas**************')) 
           disp(sprintf('Existe Somente um Conjunto de dados')) 
           disp(sprintf('Ha conjunto de validacao diferente'))
           load dados2_furnas;
       end
   elseif typeInst==6
          if nrun==1
           disp(sprintf('********Srie Vale Rio Doce********')) 
           disp(sprintf('Existe Somente um Conjunto de dados')) 
           disp(sprintf('Nao ha conjunto de validacao diferente'))
           load dados1_ValeRioDoce_Fech;
       elseif nrun==2
           disp(sprintf('********Srie Vale Rio Doce********')) 
           disp(sprintf('Existe Somente um Conjunto de dados')) 
           disp(sprintf('Ha conjunto de validacao diferente'))
           load dados2_ValeRioDoce_Fech;
       end
   elseif typeInst==7
          if nrun==1
           disp(sprintf('********Srie Bradesco**************')) 
           disp(sprintf('Existe Somente um Conjunto de dados')) 
           disp(sprintf('Nao ha conjunto de validacao diferente'))
           load dados1_Bradesco_Fech;
       elseif nrun==2
           disp(sprintf('********Srie Bradesco**************')) 
           disp(sprintf('Existe Somente um Conjunto de dados')) 
           disp(sprintf('Ha conjunto de validacao diferente'))
           load dados2_Bradesco_Fech;
       end
   elseif typeInst==8
          if nrun==1
           disp(sprintf('********Srie Eletrobras************')) 
           disp(sprintf('Existe Somente um Conjunto de dados')) 
           disp(sprintf('Nao ha conjunto de validacao diferente'))
           load dados1_Eletrobras_Fech;
       elseif nrun==2
           disp(sprintf('********Srie Eletrobras************')) 
           disp(sprintf('Existe Somente um Conjunto de dados')) 
           disp(sprintf('Ha conjunto de validacao diferente'))
           load dados2_Eletrobras_Fech;
       end % Fecha nrun
   end % Fecha typeInst
end % Fecha typeProb


   
   