%function [Xs,Ss]=dados()
point_n = 11;
x = linspace(-10-1e-10, 10, point_n);
y = linspace(-10-1e-10, 10, point_n);
[xx, yy] = meshgrid(x, y);

tmp1 = sin(xx)./(xx);
index = find(isnan(tmp1)==1);
tmp1(index) = ones(size(index));

tmp2 = sin(yy)./(yy);
index = find(isnan(tmp2)==1);
tmp2(index) = ones(size(index));

zz = tmp1.*tmp2;
trn_data = [xx(:) yy(:) zz(:)];

S=reshape(zz,point_n*point_n,1);
x1=reshape(xx,point_n*point_n,1);
x2=reshape(yy,point_n*point_n,1);
X=[x1,x2];

save dados xx yy zz point_n X S


%point_n = 11;
%x = linspace(-10-1e-10, 10, point_n);
%y = linspace(-10-1e-10, 10, point_n);
%[xx, yy] = meshgrid(x, y);

%x1=reshape(xx,point_n*point_n,1);
%x2=reshape(yy,point_n*point_n,1);
%Xs=[x1,x2];

Ns=225;

Xl=10*rands(Ns,2);

%[xx, yy] = meshgrid(X(:,1), X(:,2));
xx=Xl(:,1);
yy=Xl(:,2);

tmp1 = sin(xx)./(xx);
index = find(isnan(tmp1)==1);
tmp1(index) = ones(size(index));

tmp2 = sin(yy)./(yy);
index = find(isnan(tmp2)==1);
tmp2(index) = ones(size(index));

Sl = tmp1.*tmp2;

save dadossel xx yy Xl Sl



% ====== collect training data
Nt=625;

point_n = 25;

x = linspace(-10-1e-10, 10, point_n);
y = linspace(-10-1e-10, 10, point_n);
[xx, yy] = meshgrid(x, y);

tmp1 = sin(xx)./(xx);
index = find(isnan(tmp1)==1);
tmp1(index) = ones(size(index));

tmp2 = sin(yy)./(yy);
index = find(isnan(tmp2)==1);
tmp2(index) = ones(size(index));

zz = tmp1.*tmp2;

St=reshape(zz,point_n*point_n,1);
x1=reshape(xx,point_n*point_n,1);
x2=reshape(yy,point_n*point_n,1);

Xt=[x1,x2];

save dadost xx yy Xt St