%***************************************************************
% Autor: Clodoaldo Ap. Moraes Lima
% Data ultima atualizacao 30/06/2003
%***************************************************************

function dados_Eletrobras_Fech()

nrun= 2; % Numero de simulaes realizadas

disp('Realizando Processamento da serie')
EletrobrasFechamento;

% Preprocessing entre [-1,1]
ts=X(2:end,1)-X(1:end-1,1); 
[N,n]=size(ts);
lb = -1;, ub = 1;
mina = min(ts);
maxa = max(ts);
sca=maxa-mina;
scamax = max(sca);
ts =(ub-lb)*(ts  -ones(N, 1)*mina)/scamax+lb;
Ntr=floor(N/2);

for i=1:nrun,
   % load raw time series data
   % load mgdata.dat
   % time = mgdata(:, 1);
   % ts = mgdata(:, 2);
   % trn_data = zeros(600, 5);

    % prepare training data
    start = 1;
    trn_data(:, 1) = ts(start:Ntr+start-3); 
    start = start + 1;
    trn_data(:, 2) = ts(start:Ntr+start-3); 
    start = start + 1;
    trn_data(:, 3) = ts(start:Ntr+start-3); 

    % prepare checking data
    start=1;
    start = start+Ntr-3+1; % final anterior menos 2 entrada
    chk_data(:, 1) = ts(start:end-3); 
    start = start + 1;
    chk_data(:, 2) = ts(start:end-2); 
    start = start + 1;
    chk_data(:, 3) = ts(start:end-1); 

   
   Xtr=trn_data(:,1:2);
   Ytr=trn_data(:,3);
       
   
   if i==1
      Xval=trn_data(:,1:2);
      Yval=trn_data(:,3); 
      Xts=chk_data(:,1:2);
      Yts=chk_data(:,3);
      save dados1_Eletrobras_Fech Xtr Ytr Xts Yts Xval Yval
   elseif i==2
      Nx=length(chk_data);
      Nval=floor(Nx/2);
      Nts=Nx-Nval;
      Xval=chk_data(1:Nval,1:2);
      Yval=chk_data(1:Nval,3);
      Xts=chk_data(Nval+1:end,1:2);
      Yts=chk_data(Nval+1:end,3);
      save dados2_Eletrobras_Fech Xtr Ytr Xts Yts Xval Yval
   end
   
end