%************************************************************
% Serie temporal Sunsplot
% Autor: Clodoaldo Ap. Moraes Lima
% Data ultima atualizacao 30/06/2003
% Conjunto de dados 1
%       Numero de pontos de treinamento - 220
%       Numero de pontos de validacao   - 220
%       Numero de ponto de teste        - 58
% Conjunto de dados 2
%       Numero de pontos de treinamento - 220
%       Numero de pontos de validacao   - 29
%       Numero de ponto de teste        - 29
%***********************************************************

function dados_sun()

nrun= 2; % Numero de simulaes realizadas

for i=1:nrun,
    % Carrega os dados
    sun;
    ts=X(:,2);
    % Preprocessing entre [-1,1]
    [N,n]=size(ts);
    lb = -1;, ub = 1;
    mina = min(ts);
    maxa = max(ts);
    sca=maxa-mina;
    scamax = max(sca);
    ts =(ub-lb)*(ts  -ones(N, 1)*mina)/scamax+lb;
    
    X=zeros(N-2,3); % Dois valores atrasados e saida
    start=1;
    X(:, 1) = ts(start:start+N-3); 
    start = start + 1;
    X(:, 2) = ts(start:start+N-3); 
    start = start + 1;
    X(:, 3) = ts(start:start+N-3); 
    
    Ntr=220;
    Xtr=X(1:Ntr,1:2);
    Ytr=X(1:Ntr,3);      

    N=length(X); 
    
   if i==1
      Nval=Ntr;
      Nts=N-Ntr;
      Xval=Xtr;
      Yval=Ytr;
      Xts=X(Ntr+1:end,1:2);
      Yts=X(Ntr+1:end,3);
      save dados1_sun Xtr Ytr Xts Yts Xval Yval
   elseif i==2
       Nval=floor((N-Ntr)/2);
       Nts=N-Ntr-Nval;
       Xval=X(Ntr+1:Ntr+Nval,1:2);
       Yval=X(Ntr+1:Ntr+Nval,3);
       Xts=X(Ntr+Nval+1:Ntr+Nval+Nts,1:2);
       Yts=X(Ntr+Nval+1:Ntr+Nval+Nts,3);
      save dados2_sun Xtr Ytr Xts Yts Xval Yval
   end
   
end