function avalia_gated()

clc
clear all
close all

arquivo = input('Digite o nome do arquivo ','s');

load (arquivo)


Xtr=model.Xtr;
Xval=model.Xval;
Xts=model.Xts;

Ytr=model.Ytr;
Yval=model.Yval;
Yts=model.Yts;

hme=model.hme;

[d,n] = size(Xtr'); 
[k,n] = size(Ytr');

param=hme.normalize;

%Str=saida(model,Xtr);
%Sval=saida(model,Xval);
%Sts=saida(model,Xts);
[Str,lik1,lli1]  = hmeEval(hme,k,Xtr', Ytr');
[Sval,lik2,lli2] = hmeEval(hme,k,Xval',Yval');
[Sts,lik3,lli3]  = hmeEval(hme,k,Xts', Yts');

save all
disp(sprintf('\nNumero de atrasos       = %d',size(Xtr,2)))
disp(sprintf('\nNumero de especialistas = %d',model.Nm))

pause
cd ..
cd geral
% Calcula o erro
disp(sprintf('--------------------------------------'))
disp(sprintf('********Conjunto de Treinamento*******'))
disp(sprintf('--------------------------------------'))
[sse,mse,mae,rmse,map,nrmse]=calc_error(Ytr,Str,param);
disp(sprintf('Sum  Squared Error                  %1.6f',sse))
disp(sprintf('Mean Squared Error                  %1.6f',mse))
disp(sprintf('Mean  Absolute  Error               %1.6f',mae))
disp(sprintf('Root Mean Square Error              %1.6f',rmse))
disp(sprintf('Normalize Root Mean  Square   Error %1.6f',nrmse))



disp(sprintf('--------------------------------------'))
disp(sprintf('********Conjunto de Validacao*******'))
disp(sprintf('--------------------------------------'))
[sse,mse,mae,rmse,map,nrmse]=calc_error(Yval,Sval,param);
disp(sprintf('Sum  Squared Error                  %1.6f',sse))
disp(sprintf('Mean Squared Error                  %1.6f',mse))
disp(sprintf('Mean  Absolute  Error               %1.6f',mae))
disp(sprintf('Root Mean Square Error              %1.6f',rmse))
disp(sprintf('Normalize Root Mean  Square   Error %1.6f',nrmse))

xnaive=[Ytr(end);Yval(1:end-1)];
yd=param.std*Yval+param.mean;
y=param.std*Sval+param.mean;
xnaive=param.std*xnaive+param.mean;
e=y-yd;
num= sum(sum(e.^2));
diff=yd-xnaive;
dem = sum(sum(diff.^2));
namse = num/dem;
disp(sprintf('Normalize Naive Mean  Square   Error %1.6f',namse))


disp(sprintf('--------------------------------------'))
disp(sprintf('********Conjunto de Teste*******'))
disp(sprintf('--------------------------------------'))
[sse,mse,mae,rmse,map,nrmse]=calc_error(Yts,Sts,param);
disp(sprintf('Sum  Squared Error                  %1.6f',sse))
disp(sprintf('Mean Squared Error                  %1.6f',mse))
disp(sprintf('Mean  Absolute  Error               %1.6f',mae))
disp(sprintf('Root Mean Square Error              %1.6f',rmse))
disp(sprintf('Normalize Root Mean  Square   Error %1.6f',nrmse))

xnaive=[Yval(end);Yts(1:end-1)];
yd=param.std*Yts+param.mean;
y=param.std*Sts+param.mean;
xnaive=param.std*xnaive+param.mean;
e=y-yd;
num= sum(sum(e.^2));
diff=yd-xnaive;
dem = sum(sum(diff.^2));
namse = num/dem;
disp(sprintf('Normalize Naive Mean  Square   Error %1.6f',namse))


[dummy, dimsched] = size(Xtr);
cd ..
cd gated

% Display surface plots of the model & its individual components
if dimsched == 2
    fprintf('Plotting response of individual basis functions in 3D\n')
    [X, Y] = meshgrid(-1:0.1:1,-1:0.1:1);
    n=length(X);
    x1=reshape(X,n*n,1);
    x2=reshape(Y,n*n,1);
    gates = gate(model.gating, [x1,x2]);
    
    figure(1)
    clf
    for i = 1:model.Nm
        surf(X,Y,reshape(gates(:,i),n, n))
        hold on
    end
    hold off
    shading interp
    title('P.d.f. of individual gating functions')
    rotate3d on
end

figure(2)
plot(1:length(likelihood),likelihood)
title('Likelhood')

figure(3)
clf
n=length(likelihood)+1;

for i=1:model.Nm,
    subplot(model.Nm,1,i)
    for j=1:n,
        sig(j)=model.vet_sig{j}{i};
    end
    plot(sig)
    ylabel(sprintf('Esp n %d',i))
end

figure(4)
clf
subplot(model.Nm+1,1,1)
plot(Yts*param.std+param.mean)
ylabel(sprintf('Serie',i))
for i=1:model.Nm,
    E=perceptrons(model.Xts,model.models(i).A,model.models(i).B);
    subplot(model.Nm+1,1,i+1)
    plot(E*param.std+param.mean)
    ylabel(sprintf('Esp n %d',i))

end

figure(5)
clf
subplot(model.Nm+1,1,1)
plot(Yts)
ylabel(sprintf('Serie',i))
gates = gate(model.gating, model.Xts);
for i=1:model.Nm,
    subplot(model.Nm+1,1,i+1)
    plot(gates(:,i))
    ylabel(sprintf('Gate n %d',i))
end

figure(6)
plot(model.vet_erro_val(end:-1:1))
title('Evolucao do Erro Validacao')

figure(7)
plot(Sts*param.std+param.mean-(Yts*param.std+param.mean))
title('Erro de Predicao')

figure(8)
plot(Yts*param.std+param.mean)
hold on
plot(Sts*param.std+param.mean,'r--')
title('Predicao')

figure(9)
plot(Ytr)
hold on
plot(Str,'r--')

figure(10)
plot(Yval)
hold on
plot(Sval,'r--')

figure(11)
plot(Yts)
hold on
plot(Sts,'r--')


figure(12)
plot([Ytr;Yval;Yts])
hold on
plot([Str;Sval;Sts],'r--')
title('Todo o conjunto')

