function dados3()

%***************************************************************************
% Conjunto de treinamento
%***************************************************************************
N=1000;
u=2*rands(N,1);
yold=0;
S=[];
X=[];
for i=1:N,
   S(i,1)=yold/(1+yold^2)+u(i,1)^3;
   X(i,:)=[yold u(i,1)];
   yold=S(i,1);
end
%save dados3 X S

%*****************************************************************************
% Conjunto de validao
%*****************************************************************************
N=1000;
k=1:N;
k=k';
u=2*rands(N,1);
Sv=[];
Xv=[];
for i=1:N,
   Sv(i,1)=yold/(1+yold^2)+u(i,1)^3;
   Xv(i,:)=[yold u(i,1)];
   yold=Sv(i,1);
end

%save dados3val Xs Ss
%*****************************************************************************
% Conjunto de teste
%*****************************************************************************
N=100;
k=1:N;
k=k';
u=sin(2*k*pi/25)+sin(2*k*pi/10);
yold=0;
St=[];
Xt=[];
for i=1:N,
   St(i,1)=yold/(1+yold^2)+u(i,1)^3;
   Xt(i,:)=[yold u(i,1)];
   yold=St(i,1);
end

save dados3 X S Xv Sv Xt St

