function dados4()

%***************************************************************************
% Conjunto de treinamento
%***************************************************************************
N=1000;
u=2*rands(N,1);
yold=zeros(3,1);
uold=0;
S=[];
X=[];
for i=1:N,
   S(i,1)=(yold(1,1)*yold(2,1)*yold(3,1)*uold*(yold(3,1)-1)+u(i,1))/(1+yold(3,1)^2+yold(2,1)^2);
   X(i,:)=[yold' uold u(i,1)];
   uold=u(i,1);
   yold(2:end,1)=yold(1:end-1,1);
   yold(1,1)=S(i,1);
end

%*****************************************************************************
% Conjunto de validao
%*****************************************************************************
N=1000;
k=0:N;
k=k';
%u=0.5*sin(2*pi*k/25)+0.5*sin(2*pi*k/10);
u=2*rands(N,1);
%yold=zeros(3,1);
%uold=0;
Sv=[];
Xv=[];
for i=1:N,
   Sv(i,1)=(yold(1,1)*yold(2,1)*yold(3,1)*uold*(yold(3,1)-1)+u(i,1))/(1+yold(3,1)^2+yold(2,1)^2);
   Xv(i,:)=[yold' uold u(i,1)];
   uold=u(i,1);
   yold(2:end,1)=yold(1:end-1,1);
   yold(1,1)=Sv(i,1);
end

%*****************************************************************************
% Conjunto de teste
%*****************************************************************************
N=1000;
k1=1:N/2;
k2=N/2+1:N;
u1=sin(2*pi*k1/250);
u2=0.8*sin(2*pi*k2/250)+0.2*sin(2*pi*k2/25);
u=[u1';u2'];
yold=zeros(3,1);
uold=0;
St=[];
Xt=[];
for i=1:N,
   St(i,1)=(yold(1,1)*yold(2,1)*yold(3,1)*uold*(yold(3,1)-1)+u(i,1))/(1+yold(3,1)^2+yold(2,1)^2);
   Xt(i,:)=[yold' uold u(i,1)];
   uold=u(i,1);
   yold(2:end,1)=yold(1:end-1,1);
   yold(1,1)=St(i,1);
end

save dados4 X S Xv Sv Xt St

