function dados5()

%***************************************************************************
% Conjunto de treinamento
%***************************************************************************
N=1000;
u=2*rands(N,1);
yold=zeros(3,1);
uold=0;
S=[];
X=[];
for i=1:N,
   S(i,1)=5*yold(1,1)*yold(2,1)/(1+yold(1,1)^2+yold(2,1)^2+yold(3,1)^2)+u(i,1)+0.8*uold;
   X(i,:)=[yold' uold u(i,1)];
   uold=u(i,1);
   yold(2:end,1)=yold(1:2,1);
   yold(1,1)=S(i,1);
end

%*****************************************************************************
% Conjunto de validao
%*****************************************************************************
N=1000;
k=0:N;
k=k';
%u=0.5*sin(2*pi*k/25)+0.5*sin(2*pi*k/10);
u=2*rands(N,1);
%yold=zeros(3,1);
%uold=0;
Sv=[];
Xv=[];
for i=1:N,
	Sv(i,1)=5*yold(1,1)*yold(2,1)/(1+yold(1,1)^2+yold(2,1)^2+yold(3,1)^2)+u(i,1)+0.8*uold;
   Xv(i,:)=[yold' uold u(i,1)];
   uold=u(i,1);
   yold(2:end,1)=yold(1:2,1);
   yold(1,1)=Sv(i,1);
end

%*****************************************************************************
% Conjunto de teste
%*****************************************************************************
N=100;
k=1:N;
k=k';
u=sin(2*pi*k/25);
yold=zeros(3,1);
uold=0;
St1=[];
Xt1=[];
for i=1:N,
	St1(i,1)=5*yold(1,1)*yold(2,1)/(1+yold(1,1)^2+yold(2,1)^2+yold(3,1)^2)+u(i,1)+0.8*uold;
   Xt1(i,:)=[yold' uold u(i,1)];
   uold=u(i,1);
   yold(2:end,1)=yold(1:2,1);
   yold(1,1)=St1(i,1);
end

N=100;
k=1:N;
k=k';
u=sin(2*pi*k/25)+sin(2*pi*k/10);
yold=zeros(3,1);
uold=0;
St2=[];
Xt2=[];
for i=1:N,
	St2(i,1)=5*yold(1,1)*yold(2,1)/(1+yold(1,1)^2+yold(2,1)^2+yold(3,1)^2)+u(i,1)+0.8*uold;
   Xt2(i,:)=[yold' uold u(i,1)];
   uold=u(i,1);
   yold(2:end,1)=yold(1:2,1);
   yold(1,1)=St2(i,1);
end

save dados5 X S Xv Sv Xt1 St1 Xt2 St2

