%displaymoe.m                                                                                        

%100664     502     454         3600  6651315113  11566  0 
%ustar   rod                             users                                                                                                                                                                                                                  

	figure(1)
   subplot(2,1,1)
   plot(1:i,Likelihood)
   title('Mixture model log-likelihood')


   if dimsched == 1
      if diminput == 1
         figure(2)
         clf
         subplot(2,1,2)
         hold on
         plot(trainingdata.inputs, h,'--')
         plotgates(model, inputstest);
         hold off
         title('Mixture components')
         subplot(2,1,1)       
         plot(trainingdata.inputs,trainingdata.outputs,'.');
         plotmodels(model, inputstest, trainingdata);
         title('Training data, local models and model output, with confidence intervals')
  
      end
     % hold on
     % plotgates(model, inputstest)
     % hold off
   elseif dimsched == 2
      figure(2)
      clf
      plot(trainingdata.inputs(:,1),trainingdata.inputs(:,2),'.');
      hold on
      gates = plotgates(model, inputstest);
      hold off
      if model.lmtype > 0  & diminput == 2
         if rem(i,1) == 0
           figure(3)
           clf
           fprintf('Plotting response\n')
           plotmodels(model, inputstest, trainingdata);
           title('Model mean response')
         end
      end
   end
   drawnow
if ~(model.lmtype == 0)
   %figure(5)
   %clf
   if ~exist('testdata')
      [modoutputs, modgates, modvariance] = meanLMN(model, trainingdata, trainingdata );
      meanerr = mean(((trainingdata.outputs - modoutputs).^2));
     % plot(1:N,modoutputs,':',1:N,trainingdata.outputs,'.')
   else
      [modoutputs, modgates, modvariance] = meanLMN(model, testdata, trainingdata );
      meanerr = mean(((testdata.outputs - modoutputs).^2));
     % plot(1:length(modoutputs),modoutputs,':',1:length(testdata.outputs),testdata.outputs,'.')
   end
   figure(1)
   Meanerrlist = [Meanerrlist; meanerr];
   fprintf('Iteration %d, mean err %f, mean var. %f, Likelihood %f\n',i, meanerr, mean(modvariance), thisLike);
   subplot(2,1,2)
   plot(1:i, Meanerrlist)
   title('Mean error')

end
