  %initdat.m                                                                                           
  %100664     502     454        12450  6647404524  11111  0      
  %ustar   rod                             users    
  test = 1;
  

if test == 1
inputstest = [-1:0.1:1]';
inputs = [0.7*randn(250,1)+ones(60,1)*[0.5 0.5] + 0.3*randn(60,2)];
schedin = inputs;
outputs = sin(2*(inputs(:,1).^3))+0.4*inputs(:,2);

[N, diminput] 	= size(inputs);
[N2, dimsched]	= size(schedin);
dimcontrol 	= 0;
dimoutput 	= 1;
model.lmtype  = 1;

elseif test == 3
  load henrikdata

  %inputst = in_l';
  %outputst = out';
  %schedint = in_b';

  inputs  = chop_dat(in_l,5,1)';
  outputs = chop_dat(out,5,0)';
  deadtime = 1;

  inputs  = [inputs(2:end-2) inputs(1:end-3) outputs(1+deadtime:end-1-deadtime) outputs(deadtime:end-2-deadtime)];
  outputs = outputs(2+deadtime:end-2+deadtime);
  schedin = chop_dat(in_b,5,0)';
  schedin = schedin(2:end-2);
  clear in_b in_l out;

  [N, diminput]	= size(inputs);
  [N2, dimsched]= size(schedin);
  dimcontrol 	= 0;
  dimoutput 	= 1;
  inputstest    = [min(schedin):0.02:max(schedin)]';
  model.lmtype  = 1;

elseif test == 4
   inputstest = [-1:0.05:1]';
   inputs = [-1:0.03:1]';
   schedin = inputs;
   [N, diminput] 	= size(inputs);
   [N2, dimsched]	= size(schedin);

   %outputs = inputs+exp(sin(2.6*inputs));
 
   outputs = sin(10*pi*(inputs(:,1)+ones(N,1)).*sin(inputs(:,1)/2).^3); %sin((1.5*inputs(:,1)).^3);
  outputs = outputs + 0.4*randn(size(outputs));

   dimcontrol 	= 0;
   dimoutput 	= 1;
   model.lmtype = 1;
elseif test == 5

   % wind speed 1 wind speed 2 wind direction ambient air temp. 
   % power
   tpredict = 3*60/5;
   load winddata

   inputs  = [inputs(1:end-tpredict-20000,:) outputs(1:end-tpredict-20000)];
   outputs = outputs(tpredict+1:end-20000,:);
   inputs(:,3) = cos(2*pi*inputs(:,3)/360);
   avwindspeed = sum(inputs(:,1:2)')'/2;
   inputs = [avwindspeed avwindspeed.^2 inputs(:,3:end)];
   [N, diminput] = size(inputs);

   inputs  = inputs - ones(N,1)*mean(inputs);
   inputs  = inputs./(ones(N,1)*std(inputs));
   %outputs = outputs - ones(N,1)*mean(outputs);
   outputs = outputs./(ones(N,1)*max(outputs));

   schedin = inputs; %[inputs(:,1) inputs(:,4)];
   inputstest = [-2:0.05:2]';
   [N2, dimsched]	= size(schedin);
   dimcontrol 	= 0;
   dimoutput 	= 1;
   model.lmtype = 1;

elseif test == 6
   % coffee data

   %inputstest = [-1:0.05:1]';
   %inputs = [randn(50,3)*0.2*[1 0.3 0; 0.3 0.5 0; 0 0 1] - [ zeros(50,1) ones(50,1)*2 zeros(50,1)];
   %          randn(100,3)*0.1 + [ones(100,1)*1 zeros(100,2)]];
   schedin = inputs;
   [N, diminput] 	= size(inputs);
   [N2, dimsched]	= size(schedin);
   inputstest = [];
   dimoutput = 0;
   outputs = [];
   model.lmtype = 0;		% Select mixture model
elseif test == 7
   inputs = [-0.1*ones(100,1)+randn(100,1)*0.2; randn(10,1)*0.9; 0.1*ones(10,1)+randn(10,1)*0.9];
   schedin = inputs;
   [N, diminput]  = size(inputs);
   [N2, dimsched] = size(schedin);
   inputstest = [randn(100,1)*0.2; randn(10,1)*0.9];
   dimoutput = 0;
   outputs = [];
   model.lmtype = 0;		% Select mixture model
elseif test == 8
    % set weights to useful initial values
    diminput = 3;
    dimoutput = 1;
    load /home/rod/mat/dynsim/pentest;

    %outputstest = [y(2:end)'];% x(2:end)'];
    inputstest = [-pi:0.05:pi]';%[x(1:end-1)' y(1:end-1)' u(1:end-1)'];

    load /home/rod/mat/dynsim/penprbs;
yorig = y';
xorig = x';
    thetatrain = yorig(2:end); 
    omegatrain = xorig(2:end);
    x = [xorig(1:end-1) yorig(1:end-1) u(1:end-1)']; 
    N = length(x(:,1));%300;
    i = randperm(length(thetatrain));
    inputs = x(i(1:N),:);
    outputs = [thetatrain(i(1:N),:)];% omegatrain(i(1:N),:)];
    schedin = inputs(:,1:2);
    [N,diminput] = size(inputs);
    [N2, dimsched] = size(schedin);
    model.lmtype = 1;
if 0
    load /home/rod/mat/dynsim/penprbs;
yorig = y';
xorig = x';
    thetatrain = yorig(2:end); 
    omegatrain = xorig(2:end);
    x = [xorig(1:end-1) yorig(1:end-1) u(1:end-1)'];
  %  N = 1000;
   % i = randperm(length(thetatrain));
   % x = x(i(1:N),:);
    %thetatrain = thetatrain(i(1:N),:);
    %omegatrain = omegatrain(i(1:N),:);
end
elseif test == 9
   load ../torengdata4;
   inputstest = [-1:0.05:1]';
   inputs = [u(1:end-1)' y(1:end-1)'/max(y)];
   schedin = inputs;
   [N, diminput] 	= size(inputs);
   [N2, dimsched]	= size(schedin);
   outputs =diff(y');%./max(y);

   dimcontrol 	= 0;
   dimoutput 	= 1;
   model.lmtype = 1;
elseif test == 10
   load rambolldata.txt;
   dat = rambolldata;


   N = length(dat(:,1));
   hours24 = floor(24*1*60/5);
   predictoffset = hours24;

   dates = datenum(ones(N,1)*1900+dat(:,3),dat(:,1),dat(:,2),dat(:,4),dat(:,5),0.00001*ones(N,1));
   cumfjv = zeros(N,1);
   for i = 1:N-hours24
      cumfjv(i) = sum(dat(i:i+hours24,8));
   end
   days = datestr(dates,9); % return a vector of strings for days of the week
   daysnum = ones(size(days));
   % saturday/sunday
   I = find(days=='S');
   daysnum(I) = 0*ones(size(I));
   % Friday 
   I = find(days=='F');
   daysnum(I) = 0.3*ones(size(I));
   % Monday
   I = find(days=='M');
   daysnum(I) = 0.6*ones(size(I));



   inputs = [daysnum(1+predictoffset:end,1) dat(1+predictoffset:end,([9 14:17])) dat(1:end-predictoffset,([9 14:17]))];
   inputs = normalise(inputs, [min(inputs)' max(inputs)']);
   inputstest = inputs;
   schedin = inputs;
   [N, diminput] 	= size(inputs);
   [N2, dimsched]	= size(schedin);
   outputs = cumfjv(1:end-predictoffset);
   outputs = normalise(outputs, [min(outputs)' max(outputs)']);
   dimcontrol 	= 0;
   dimoutput 	= 1;
   model.lmtype = 1;
   clear rambolldata dat;

end
