% 17/07/97
% Verificacao da resposta da rede neural frente a saida desejada
% Dados de treinamento e teste
% Utilizacao dos pesos obtidos apos o treinamento da rede neural
clear;format compact;format long;
FIGURA = 1;
load matfinal5 A B;
load dados;
X1=X;
S1=S;
[m,n] = size(A);
[N1,r] = size(S1);
disp('NUMERO DE PADROES PARA TREINAMENTO');
disp(N1);
disp('NUMERO DE NEURONIOS NA CAMADA INTERMEDIARIA');
disp(n);

Srn1=perceptrons(X1,A,B);
D1 = S1-Srn1;
for k=1:r,
	eqm1(1,k) = (1/N1)*D1(:,k)'*D1(:,k);
end
disp('|S-Srn| para treinamento');disp(eqm1);
if FIGURA == 1,
	for k=1:r,
		figure(4*k-3);subplot(111);
		plot(Srn1(:,k),'b');hold on;plot(S1(:,k),'r--');title('Des (ver) RN (azul)');xlabel('DADOS DE TREINAMENTO');grid on;drawnow;
		figure(4*k-2);subplot(111);
		[S11,I1] = sort(S1(:,k));S12 = Srn1(:,k);S12 = S12(I1);
		plot(S12,'b');hold on;plot(S11,'r--');title('Des (ver) RN (azul) - valores ordenados');xlabel('DADOS DE TREINAMENTO');grid on;drawnow;
		figure(4*k-1);subplot(111);
		plot(S1(:,k)-Srn1(:,k));title('S-Srn (Erro)');xlabel('DADOS DE TREINAMENTO');grid on;drawnow;
		figure(4*k);subplot(111);
		plot(sort(S1(:,k)-Srn1(:,k)));title('S-Srn - valores ordenados');xlabel('DADOS DE TREINAMENTO');grid on;drawnow;
	end
end
indice = 4*r;

load teste;
X2=X;
S2=S;
[m,n] = size(A);
[N2,r] = size(S2);
disp('NUMERO DE PADROES PARA TESTE');
disp(N2);
disp('NUMERO DE NEURONIOS NA CAMADA INTERMEDIARIA');
disp(n);

Srn2=perceptrons(X2,A,B);
D2 = S2-Srn2;

for k=1:r,
	eqm2(1,k) = (1/N2)*D2(:,k)'*D2(:,k);
end
disp('|S-Srn| para teste');disp(eqm2);
if FIGURA == 1,
	for k=1:r,
		figure(4*k-3+indice);subplot(111);
		plot(Srn2(:,k),'b');hold on;plot(S2(:,k),'r--');title('Des (ver) RN (azul)');xlabel('DADOS DE TESTE');grid on;drawnow;
		figure(4*k-2+indice);subplot(111);
		[S21,I2] = sort(S2(:,k));S22 = Srn2(:,k);S22 = S22(I2);
		plot(S22,'b');hold on;plot(S21,'r');title('Des (ver) RN (azul) - valores ordenados');xlabel('DADOS DE TESTE');grid on;drawnow;
		figure(4*k-1+indice);subplot(111);
		plot(S2(:,k)-Srn2(:,k));title('S-Srn (Erro)');xlabel('DADOS DE TESTE');grid on;drawnow;
		figure(4*k+indice);subplot(111);
		plot(sort(S2(:,k)-Srn2(:,k)));title('S-Srn - valores ordenados');xlabel('DADOS DE TESTE');grid on;drawnow;
	end
end
