%Mstep.m                                                                                             100664     502     454         5610  6651063237  10522  0                                                                                                    ustar   rod                             users                                                                                                                                                                                                                  
function model = Mstep(model, D, h, g)
%
% model = Mstep(model, D, h, g)
%
% M-step of EM algorithm.
% returns model structure, given the previous model, the data in D,
% and the results of the E-step in h & g.
% (c) Roderick Murray-Smith, Jan 1999, DTU, Denmark

[N, diminput]   = size(D.inputs);
[N, dimschedin] = size(D.schedin);
%if model.lmtype == 1
[localouts, variances] = locmodel(model, D);
%end   
%paramvar = zeros(N,model.Nm);
gates    = gate(model.gating, D.schedin);


%if model.learnalg  < 3
for m=1:model.Nm
   sumh = sum(h(:,m));	% normalisation term ~ sum of relevant points

%   if model.lmtype == 1   % linear local models
      % calculate local model parameters

 
%      if model.learnalg == 2
         % local learning
 %        Q     	= (g(:,m)./(model.models(m).stddev.^2))*ones(1, diminput+1);
  %    else
         % EM learning
         %Q     	= (h(:,m)./(model.models(m).stddev.^2))*ones(1, diminput+1);
         Q     	= (h(:,m)./(2*(model.models(m).stddev.^2)))*ones(1, diminput+1);

    %  end
    %  if model.learnalg == 0 % RBF
     %    Phi   	= ones(N,1);
      %   Q = Q(:,1);
      %   invdesign = pinv((Q)'*Phi);
       %  w 	= (invdesign*(Q)'*D.outputs);
        % model.models(m).theta  = zeros(diminput,1);
        % model.models(m).offset = w(1);
         % find error variance
         %modelerr = D.outputs - Phi*w; %sum(modelerr.^2)/sumh;

        % temp 	= invdesign*(Phi.*Q)';
        % model.models(m).Sigmatheta = ((temp'.*((modelerr.^2)))'*temp')./sumh;
      %else
      %   Phi   	= [ones(N,1) D.inputs];
      %   invdesign = pinv((Phi.*Q)'*Phi);
         %w 	= (invdesign*(Phi.*Q)'*D.outputs);
         %model.models(m).theta  = w(2:diminput+1)';
         %model.models(m).offset = w(1);
			         
         [model.models(m).A,model.models(m).B,model.models(m).EQM]=treina_expert(D.inputs,D.outputs,model.models(m).A,model.models(m).B,Q(:,1),model.hp);
         % find error variance
         %modelerr = D.outputs - Phi*w; %sum(modelerr.^2)/sumh;
         S=perceptrons_expert(D.inputs,model.models(m).A,model.models(m).B);

			modelerr=D.outputs-S;
         %temp 	= invdesign*(Phi.*Q)';
      	%model.models(m).Sigmatheta = ((temp'.*((modelerr.^2)*ones(1,diminput+1)))'*temp')./sumh;
 		%end



      % use the trace of the parameter variance times their Hessian to estimate effective
      % local degrees of freedom
      %localDOF = diminput+1; %trace((Phi.*Q)'*Phi*model.models(m).invhessian);
 
      smallnumber = 0.0001; % for numerical reasons

      % take into account the variance of model parameters

      %for i=1:N
        % paramvar(i,m) = h(i,m)'.*(Phi(i,:)*(model.models(m).Sigmatheta)*Phi(i,:)'); 
      %   paramvar(i,m)=0;
      %end

    %  model.models(m).stddev = smallnumber + sqrt(sum(h(:,m)'*(modelerr.^2 ...
     %  +  paramvar(:,m)))./sumh); %(sumh - localDOF));
	  model.models(m).stddev = smallnumber + sqrt(sum(h(:,m)'*(modelerr.^2 ))./sumh); %(sumh - localDOF));

   %elseif model.lmtype == 0	% mixture model
%      model.models(m).weighting = sumh/length(h);
   %end % if
  %end
end


% update model centre

%for m=1:model.Nm
 %  sumh = sum(h(:,m));
   
  % model.gating(m).weighting = sumh/length(h);

%   model.gating(m).centre = h(:,m)'*D.schedin./sumh;

%	differ = D.schedin -ones(N,1)*model.gating(m).centre;

%   weight_term = h(:,m)*ones(1, dimschedin);
   
   %model.gating(m).Sigma = ((differ./sumh).*weight_term)'*differ + ...
   %                       0.0001*eye(size(model.gating(m).Sigma));
 %  model.gating(m).Sigma = ((differ./sumh).*weight_term)'*differ;
   
%end
[model.gating.A,model.gating.B,model.gating.EQM]=treina_gating(D.inputs,h,model.gating.A,model.gating.B,model.hg);

