function dados()

nrun= 10; % Numero de simulaes realizadas

randn('state',sum(100*clock))

for i=1:nrun,
    Ntr=100;
    passo=4/(Ntr-1);
    x=-2:passo:2;
    Xtr=x';
    %Ytr=sin(pi*Xtr)+sqrt(0.25)*randn(Ntr,1);
    Ytr=sin(pi*Xtr)+normrnd(0,sqrt(0.25),Ntr,1);
    
    figure(1)
    clf
    plot(Xtr,Ytr,'b--')
    hold on 
    plot(Xtr,sin(pi*Xtr),'linewidth',2)
    title('Noisy sinc function')
       
    
    Nv=100;
    x=2*rands(Nv,1);
    Xval=x;
    %Yval=sin(pi*Xval)+sqrt(0.25)*randn(Nv,1);
    Yval=sin(pi*Xval)+normrnd(0,sqrt(0.25),Nv,1);
    
    figure(2)
    clf
    plot(Xval,Yval,'*')
    hold on 
    plot(Xval,sin(pi*Xval),'o','linewidth',2)
    title('Noisy sinc function')
    
    Nts=200;
    x=2*rands(Nts,1);
    Xts=x;
    %St=sin(pi*Xt)+sqrt(0.25)*randn(Nts,1);
    Yts=sin(pi*Xts); % Sem ruido
    figure(3)
    clf
    %plot(Xts,Yts,'*')
    %hold on 
    plot(Xts,sin(pi*Xts),'o','linewidth',2)
    title('Noisy sinc function')
    
    
    if i==1
        save dados1_sinc_noisy Xtr Ytr Xts Yts Xval Yval
    elseif i==2
        save dados2_sinc_noisy Xtr Ytr Xts Yts Xval Yval
    elseif i==3
        save dados3_sinc_noisy Xtr Ytr Xts Yts Xval Yval
    elseif i==4
        save dados4_sinc_noisy Xtr Ytr Xts Yts Xval Yval
    elseif i==5
        save dados5_sinc_noisy Xtr Ytr Xts Yts Xval Yval
    elseif i==6
        save dados6_sinc_noisy Xtr Ytr Xts Yts Xval Yval
    elseif i==7
        save dados7_sinc_noisy Xtr Ytr Xts Yts Xval Yval
    elseif i==8
        save dados8_sinc_noisy Xtr Ytr Xts Yts Xval Yval
    elseif i==9
        save dados9_sinc_noisy Xtr Ytr Xts Yts Xval Yval
    elseif i==10
        save dados10_sinc_noisy Xtr Ytr Xts Yts Xval Yval
    end
end