%*********************************************************
% Boston - Price
% Inputs: 1 2 3 4 5 6 7 8 9 10 11 12 13 
% Order: Random-order
% Targets: 14
%**********************************************************

function dado_boston_price()

% Ordem
Random_order_price;


nrun= 10; % Numero de simulaes realizadas

for i=1:nrun,
   % Conjunto de dados
   price;
   N=size(X,1);
   
   % Gera uma ordem
   I=randperm(N);
   I=I';
   
   % Ordena os elementos
   %X=X(Ord,:);
   X=X(I,:);
   
   % Retira a saida e entrada de dados
   Y=X(:,14);
   X=X(:,1:13);
   
   % Definio do conjunto
   Ntr=336;
   Nval=85;
   Nts=85;
   
   Xtr=X(1:Ntr,:);
   Ytr=Y(1:Ntr,:);
   
   Xval=X(Ntr+1:Ntr+Nval,:);
   Yval=Y(Ntr+1:Ntr+Nval,:);
   
   Xts=X(1+Ntr+Nval:end,:);
   Yts=Y(1+Ntr+Nval:end,:);
   
  if i==1
      save dados1_boston_price Xtr Ytr Xts Yts Xval Yval
   elseif i==2
      save dados2_boston_price Xtr Ytr Xts Yts Xval Yval
   elseif i==3
      save dados3_boston_price Xtr Ytr Xts Yts Xval Yval
   elseif i==4
      save dados4_boston_price Xtr Ytr Xts Yts Xval Yval
   elseif i==5
      save dados5_boston_price Xtr Ytr Xts Yts Xval Yval
   elseif i==6
      save dados6_boston_price Xtr Ytr Xts Yts Xval Yval
   elseif i==7
      save dados7_boston_price Xtr Ytr Xts Yts Xval Yval
   elseif i==8
      save dados8_boston_price Xtr Ytr Xts Yts Xval Yval
   elseif i==9
      save dados9_boston_price Xtr Ytr Xts Yts Xval Yval
   elseif i==10
      save dados10_boston_price Xtr Ytr Xts Yts Xval Yval
   end
end