%***************************************************************
% Autor: Clodoaldo Ap. Moraes Lima
% Data ultima atualizacao 30/06/2003
%***************************************************************

function dados_laser()

nrun= 2; % Numero de simulaes realizadas

disp('Realizando Processamento da serie')
Xold=zeros(3,1); %Cria um vetor de zeros
Laser_SantaFe_Tr; % Carrega os dados de treinamento
Laser_SantaFe_Tst; % Carrega os dados de teste

% Preprocessing entre [-1,1]
ts=[X;Xt]; 
[N,n]=size(ts);
lb = -1;, ub = 1;
mina = min(ts);
maxa = max(ts);
sca=maxa-mina;
scamax = max(sca);
ts =(ub-lb)*(ts  -ones(N, 1)*mina)/scamax+lb;

for i=1:nrun,
   % load raw time series data
   % load mgdata.dat
   % time = mgdata(:, 1);
   % ts = mgdata(:, 2);
   % trn_data = zeros(600, 5);

    % prepare training data
    start = 1;
    trn_data(:, 1) = ts(start:1000+start-4); 
    start = start + 1;
    trn_data(:, 2) = ts(start:1000+start-4); 
    start = start + 1;
    trn_data(:, 3) = ts(start:1000+start-4); 
    start = start + 1;
    trn_data(:, 4) = ts(start:1000+start-4); 

    % prepare checking data
    start=1;
    start = start+1000-3; % final anterior menos 3 entrada
    chk_data(:, 1) = ts(start:end-3); 
    start = start + 1;
    chk_data(:, 2) = ts(start:end-2); 
    start = start + 1;
    chk_data(:, 3) = ts(start:end-1); 
    start = start + 1;
    chk_data(:, 4) = ts(start:end); 

   
   Xtr=trn_data(:,1:3);
   Ytr=trn_data(:,4);
       
   
   if i==1
      Xval=trn_data(:,1:3);
      Yval=trn_data(:,4); 
      Xts=chk_data(:,1:3);
      Yts=chk_data(:,4);
      save dados1_laser Xtr Ytr Xts Yts Xval Yval
   elseif i==2
      Nx=length(chk_data);
      Nval=floor(Nx/2);
      Nts=Nx-Nval;
      Xval=chk_data(1:Nval,1:3);
      Yval=chk_data(1:Nval,4);
      Xts=chk_data(Nval+1:end,1:3);
      Yts=chk_data(Nval+1:end,4);
      save dados2_laser Xtr Ytr Xts Yts Xval Yval
   end
   
end