function [X,S,Xv,Sv,Xt,St] = dados_spiral;



%

% Ph.D. Thesis

% Leandro Nunes de Castro

% February, 2000

% Function generates the dataset for the SPIRAL problem

%



% SPIRAL 1
figure(30)

step = 0.32;

t = 0:step:3*pi;

l = length(t);

li = 0.1; ls = 1;

r = li:(ls-li)/(l-1):ls;

% aux = 0.02 .* randn(1,l);

aux = 1;

x = aux + (r+.1) .* cos(t);

y = aux + (r+.1) .* sin(t);

m1 = [x',y'];

% size(m1),

plot(x',y','b*');



% SPIRAL 2

t = 0:step:3*pi;

l = length(t);

li = 0; ls = 1;

r = li:(ls-li)/(l-1):ls;

% aux = 0.02 .* randn(1,l);

aux = 1;

x = aux - (r+.2) .* cos(t);

y = aux - (r+.2) .* sin(t);

m2 = [x',y'];

hold on; plot(x',y','ro');

hold off;

X = [m1;m2];
S1=ones(length(m1),1);
S2=-ones(length(m2),1);
S=[S1;S2];


disp(sprintf('Dataset size: [%d,%d]',size(S)));


% SPIRAL 1

step = 0.9;

%t = 0:step:3*pi;
t=sort(3*pi*rand(1,194));

l = length(t);

li = 0.1; ls = 1;

r = li:(ls-li)/(l-1):ls;

% aux = 0.02 .* randn(1,l);

aux = 1;

x = aux + (r+.1) .* cos(t);

y = aux + (r+.1) .* sin(t);

m1 = [x',y'];

% size(m1),

plot(x',y','b*');



% SPIRAL 2

%t = 0:step:3*pi;

l = length(t);

li = 0; ls = 1;

r = li:(ls-li)/(l-1):ls;

% aux = 0.02 .* randn(1,l);

aux = 1;

x = aux - (r+.2) .* cos(t);

y = aux - (r+.2) .* sin(t);

m2 = [x',y'];

hold on; plot(x',y','ro');

hold off;

Xv = [m1;m2];
S1=ones(length(m1),1);
S2=-ones(length(m2),1);
Sv=[S1;S2];


disp(sprintf('Dataset size: [%d,%d]',size(Sv)));



%step = 0.01;
step=0.02;

t = 0:step:3*pi;

l = length(t);

li = 0.1; ls = 1;

r = li:(ls-li)/(l-1):ls;

% aux = 0.02 .* randn(1,l);

aux = 1;

x = aux + (r+.1) .* cos(t);

y = aux + (r+.1) .* sin(t);

m1 = [x',y'];

% size(m1),

plot(x',y','b*');



% SPIRAL 2

t = 0:step:3*pi;

l = length(t);

li = 0; ls = 1;

r = li:(ls-li)/(l-1):ls;

% aux = 0.02 .* randn(1,l);

aux = 1;

x = aux - (r+.2) .* cos(t);

y = aux - (r+.2) .* sin(t);

m2 = [x',y'];

hold on; plot(x',y','ro');

hold off;

Xt = [m1;m2];
S1=ones(length(m1),1);
S2=-ones(length(m2),1);
St=[S1;S2];


disp(sprintf('Dataset size: [%d,%d]',size(St)));

