function EQM = calc_eqm(X,Y,model,ns)

for i=1:model.Nm,
   Ye(:,:,i)=perceptrons_expert(X,model.models(i).A,model.models(i).B);
end
g=perceptrons_gating(X,model.gating.A,model.gating.B)

Y=zeros(N,ns);
for i=1:model.Nm,
   Y=Y+Ye(:,:,i).*(g(:,i)*ones(1,ns));
end

erro=Y-Yd;

if ns==1
   EQM=erro'*erro/length(erro);
else
   EQM=0;
   for i=1:ns,
      EQM=EQM+erro(:,i)'*erro(:,i);
   end
   EQM=EQM/length(erro);
end
