function model=convert_matriz(model,vetx,ne,ns)

%Copia o numero de neuronios
hp=model.hp;
hg=model.hg;

%Calcula o numero de padres da rede especialista
npar_expert= (ne+1)*hp+(hp+1)*ns;


% Rede Especialista
for i=1:model.Nm,
   x1=vetx(1+(i-1)*npar_expert:npar_expert*i,1);
   model.models(i).A=reshape(x1(1:hp*(ne+1)),ne+1,hp)';
   model.models(i).B=reshape(x1(1+hp*(ne+1):end),hp+1,ns)';
end

% Rede Gating
x1=vetx(1+npar_expert*model.Nm:end);
model.gating.A=reshape(x1(1:hg*(ne+1)),ne+1,hg)';
model.gating.B=reshape(x1(1+hg*(ne+1):end),hg+1,model.Nm)';
