function dados2()

%***************************************************************************
% Conjunto de treinamento
%***************************************************************************
N=500;
u=2*rands(N,1);
yold=0;
yoldd=0;
S=[];
X=[];
for i=1:N,
   S(i,1)=yold*yoldd*(yold+2.5)/(1+yold^2+yoldd^2)+u(i,1);
   X(i,:)=[yold yoldd u(i,1)];
   yoldd=yold;
   yold=S(i,1);
end
%save dados2 X S

%*****************************************************************************
% Conjunto de validao
%*****************************************************************************
N=500;
k=1:N;
k=k';
%u=0.5*sin(2*pi*k/25)+0.5*sin(2*pi*k/10);
u=2*rands(N,1);
%yold=0;
%yoldd=0;
Sv=[];
Xv=[];
for i=1:N,
   Sv(i,1)=yold*yoldd*(yold+2.5)/(1+yold^2+yoldd^2)+u(i,1);
   Xv(i,:)=[yold yoldd u(i,1)];
   yoldd=yold;
   yold=Sv(i,1);
end

%save dados2val Xs Ss
%*****************************************************************************
% Conjunto de teste
%*****************************************************************************
N=120;
k=1:N;
k=k';
u=sin(2*k*pi/25);
yold=0;
yoldd=0;
St1=[];
Xt1=[];
for i=1:N,
   St1(i,1)=yold*yoldd*(yold+2.5)/(1+yold^2+yoldd^2)+u(i,1);
   Xt1(i,:)=[yold yoldd u(i,1)];
   yoldd=yold;
   yold=St1(i,1);
end
%save dados2t1 Xt1 St1

N=180;
k=1:N;
k=k';
u=1.6*sin(2*k*pi/30);
yold=0;
yoldd=0;
St2=[];
Xt2=[];
for i=1:N,
   St2(i,1)=yold*yoldd*(yold+2.5)/(1+yold^2+yoldd^2)+u(i,1);
   Xt2(i,:)=[yold yoldd u(i,1)];
   yoldd=yold;
   yold=St2(i,1);
end
%save dados2t2 Xt2 St2

save dados2 X S Xv Sv Xt1 St1 Xt2 St2
