%
% Dados para treinamento supervisionado <<pontos igualmente espacados>>
% (1) Exemplo do Barmann & Biegler-Konig
% (2) a (6) Exemplo do Hwang, Lay, Maechler, Martin & Schimert
%
%clear;
function [X,S]=geradado()
ruido = input('Dados com ruido? (0)Nao (1)Sim: ');
Nex1 = 100;
Nex2 = 225; %625;
disp('(1) y1 = (x1*x2+x3*x4+x5*x6+x7*x8)/4');
disp('    y2 = (x1+x2+x3+x4+x5+x6+x7+x8)/8');
disp('    y3 = (1-y1)^0.5');
disp(' ');
disp('(2) y  = 10.391*((x1-0.4)*(x2-0.6)+0.36)');
disp(' ');
disp('(3) y  = 24.234*((r^2)*(0.75-r^2))');
disp('    r^2= (x1-0.5)^2+(x2-0.5)^2');
disp(' ');
disp('(4) y  = 42.659*(0.1+z1*(0.05+z1^4-10*z1^2*z2^2+5*z2^4))');
disp('    z1 = x1-0.5	z2 = x2-0.5');
disp(' ');
disp('(5) y  = 1.3356*(1.5*(1-x1)+exp(2*x1-1)*sin(3*pi*(x1-0.6)^2)');
disp('         +exp(3*(x2-0.5))*sin(4*pi*(x2-0.9)^2))');
disp(' ');
disp('(6) y  = 1.9*(1.35+exp(x1)*sin(13*(x1-0.6)^2)*exp(-x2)*sin(7*x2))');
disp(' ');
disp('(7) y  = sin(x)');
opt = input('Escolha a funcao a ser aproximada: ');
if opt == 1,
	for l=1:Nex1,
		X(l,:) = rand(1,8);
		x1 = X(l,1);
		x2 = X(l,2);
		x3 = X(l,3);
		x4 = X(l,4);
		x5 = X(l,5);
		x6 = X(l,6);
		x7 = X(l,7);
		x8 = X(l,8);
		S(l,1) = 0.25*(x1*x2+x3*x4+x5*x6+x7*x8);
		S(l,2) = 0.125*(x1+x2+x3+x4+x5+x6+x7+x8);
		S(l,3) = sqrt(1-S(l,1));
	end
elseif opt>=2 & opt<=6,
	for i=1:sqrt(Nex2),
		Z(i,1) = (2*i-1)/(2*sqrt(Nex2));
		Z(i,2) = Z(i,1);
	end
	l = 1;
	for i=1:sqrt(Nex2),
		for j=1:sqrt(Nex2),
			X(l,:) = [Z(i,1) Z(j,2)];
			l = l+1;
		end
	end
	for l=1:Nex2,
%		X(l,:) = rand(1,2);
		x1 = X(l,1);
		x2 = X(l,2);
		if opt == 2,
			S(l,1) = 10.391*((x1-0.4)*(x2-0.6)+0.36);
		elseif opt == 3,
			r = sqrt((x1-0.5)^2+(x2-0.5)^2);
			S(l,1) = 24.234*((r^2)*(0.75-r^2));
		elseif opt == 4,
			x1 = x1-0.5;x2 = x2-0.5;
			S(l,1) = 42.659*(0.1+x1*(0.05+x1^4-10*x1^2*x2^2+5*x2^4));
		elseif opt == 5,
			S(l,1) = 1.3356*(1.5*(1-x1)+exp(2*x1-1)*sin(3*pi*(x1-0.6)^2)+exp(3*(x2-0.5))*sin(4*pi*(x2-0.9)^2));
		elseif opt == 6,
			S(l,1) = 1.9*(1.35+exp(x1)*sin(13*(x1-0.6)^2)*exp(-x2)*sin(7*x2));
		end
		if ruido == 1,
			S(l,1) = S(l,1)+0.25*randn(1,1);
		end
	end
	for k=1:sqrt(Nex2),
		for j=1:sqrt(Nex2),
			if opt == 2,
				y(j,k) = 10.391*((Z(k,1)-0.4)*(Z(j,2)-0.6)+0.36);
			elseif opt == 3,
				r = sqrt((Z(k,1)-0.5)^2+(Z(j,2)-0.5)^2);
				y(j,k) = 24.234*((r^2)*(0.75-r^2));
			elseif opt == 4,
				x1 = Z(k,1)-0.5;x2 = Z(j,2)-0.5;
				y(j,k) = 42.659*(0.1+x1*(0.05+x1^4-10*x1^2*x2^2+5*x2^4));
			elseif opt == 5,
				y(j,k) = 1.3356*(1.5*(1-Z(k,1))+exp(2*Z(k,1)-1)*sin(3*pi*(Z(k,1)-0.6)^2)+exp(3*(Z(j,2)-0.5))*sin(4*pi*(Z(j,2)-0.9)^2));
			elseif opt == 6,
				y(j,k) = 1.9*(1.35+exp(Z(k,1))*sin(13*(Z(k,1)-0.6)^2)*exp(-Z(j,2))*sin(7*Z(j,2)));
			end
		end
	end
	subplot(111);
	if opt == 2,
		surf(1-Z(:,1),Z(:,2),y);
%		xlabel('1-x1');
	else
		surf(Z(:,1),Z(:,2),y);
%		xlabel('x1');
	end
%	ylabel('x2');
%	zlabel('G(x1,x2)');
elseif opt == 7,
	for l=1:100,
		X(l,1) = -pi+2*pi*rand(1,1);
		X(l,2) = -pi+2*pi*rand(1,1);
%		X(l,1) = -pi+2*pi*0.3*(randn(1,1)+0.5);
%		X(l,2) = -pi+2*pi*0.3*(randn(1,1)+0.5);
		S(l,1) = sin(X(l,1));
		if ruido == 1,
			S(l,1) = S(l,1)+0.25*randn(1,1);
		end
	end
	subplot(111);
	plot(X(:,1),S,'*');
else
	error('Opcao invalida');
end
save dados X S;
