function eqm=inicial
%*************************************************
% Realiza o treinamento de uma rede estatica
%*************************************************
%-------------------------------------------------
% Dados para treinar a Rede Neural
%-------------------------------------------------
% [X,S]=geradado(ruido,opt);
h=5;
load dados;
ne=2;
ns=1;
h=5;
A=rands(h,ne+1);
B=rands(ns,h+1);
[N,n]=size(X);
P=rand(N,1);
%load matriz
save matriz A B
%---------------------------------------------------
[A,B,EQM]=treina_expert(X,S,A,B,P,h);
disp('\nDADOS DE TREINAMENTO')
disp(sprintf('NUMERO DE NEURONIOS = %d',h))
disp(sprintf('ERRO QUADRATICO MEDIO = %f',EQM))

%*************************************************
% Realiza o teste de uma rede com
% recorrncia total
%*************************************************
%-------------------------------------------------
% Dados para testar a Rede Neural
%-------------------------------------------------
[X,S,v1,v2] = dadtest(opt);
%-----------------------------------------------------

Sr = perceptrons(X,A,B);
erro=Sr-S;
Np=length(erro);
eqm=(1/Np)*erro'*erro;
disp('\nDADOS DE TESTE')
disp(sprintf('NUMERO DE NEURONIOS = %d',h))
disp(sprintf('NUMERO DE DADOS DE TESTE = %d',Np))
disp(sprintf('ERRO QUADRATICO MEDIO = %f',eqm))

%------------------------------------------------
% Grfico
%------------------------------------------------
figure(4)
clf
plot(S,'b');
hold on;
plot(Sr,'r--');
title('Sada Desejada(azul) x Sada da Rede Neural(ver)');
xlabel('Dados de Teste');
grid on;
drawnow;

figure(5)
clf
plot(S-Sr);
title('S-Sr (Erro)');
xlabel('Dados de Teste');
ylabel('Erro')
grid on;
drawnow;

%Calcula o conjunto de teste
% Calcula o tamanho dos dados
% Calcula a saida da rede para conjunto de teste
% Calcula a media do conjunto de teste
Smedio=(1/Np)*sum(S);
% Calcula o Numerador
Num=Sr-S;
% Calcula o Denominador
Denom=S-Smedio;
% Calcula a varncia no explicada
FVNE=(Num'*Num)/(Denom'*Denom)








