function [outputs, gates, variance] = meanLMN(model, dataset, trainingdata)

% calculates the mean output for the given inputs and model.

global GPweighting;

[N,diminput] = size(dataset.inputs);

gates        = gate(model.gating, dataset.schedin);


if model.lmtype == 1
   [localouts, variances]  = locmodel(model, dataset);
end

outputs      = sum((gates.*localouts)')';

%variance     = sum((gates.*variances)')';
variance     = sum((gates.*(variances + localouts.^2))')' - (outputs.^2);

