%normalise.m                                                                           
%100664     502     454         1124  6647404524  11422  0     
%ustar   rod                             users                                                                                                                                                                                                              
function normed_input = normalise(raw_input, new_limits)

range = (new_limits(:,2)-new_limits(:,1));
pos_zero = find(range ==0);
no_zero = find(range ~=0);

if ~isempty(pos_zero)
   raw_input(:,pos_zero) = zeros(length(raw_input(:,1)), length(pos_zero));
end
if ~isempty(no_zero)
   normed_input(:,no_zero) = (raw_input(:,no_zero)-ones(length(raw_input(:,no_zero)),1)*new_limits(no_zero,1)')./(ones(length(raw_input(:,no_zero)),1)*range(no_zero)');
end
%normed_input   = 2.*normed_input - ones(normed_input);

if ~isempty(pos_zero)
  fprintf('There were inputs with zero content')
  pos_zero
end
