function [X,S,Xs,Ss,Xt,St]=dados1()

%----------------------------------------------------------------------
% Gera os dados de treinamento
%----------------------------------------------------------------------

N=25;

for i=1:sqrt(N),
	Z(i,1) = (2*i-1)/(2*sqrt(N));
	Z(i,2) = Z(i,1);
end
l = 1;

for i=1:sqrt(N),
	for j=1:sqrt(N),
		X(l,:) = [Z(i,1) Z(j,2)];
		l = l+1;
	end
end

for l=1:N,
	%		X(l,:) = rand(1,2);
	x1 = X(l,1);
	x2 = X(l,2);
	r = sqrt((x1-0.5)^2+(x2-0.5)^2);
	S(l,1) = 24.234*((r^2)*(0.75-r^2));
end


%-----------------------------------------------------------------------
% Gera dados para seleo da rede
%-----------------------------------------------------------------------
Ns=121;
Xs=rand(Ns,2);
x1 = Xs(:,1);
x2 = Xs(:,2);

for l=1:Ns,
	%		X(l,:) = rand(1,2);
	x1 = Xs(l,1);
	x2 = Xs(l,2);
	r = sqrt((x1-0.5)^2+(x2-0.5)^2);
	Ss(l,1) = 24.234*((r^2)*(0.75-r^2));
end



%-----------------------------------------------------------------------
% Gera dados para seleo da rede
%-----------------------------------------------------------------------
Nt=400;
for i=1:sqrt(Nt),
	Z(i,1) = (2*i-1)/(2*sqrt(Nt));
	Z(i,2) = Z(i,1);
end
l = 1;

for i=1:sqrt(Nt),
	for j=1:sqrt(Nt),
		Xt(l,:) = [Z(i,1) Z(j,2)];
		l = l+1;
	end
end

for l=1:Nt,
	%		X(l,:) = rand(1,2);
	x1 = Xt(l,1);
	x2 = Xt(l,2);
	r = sqrt((x1-0.5)^2+(x2-0.5)^2);
	St(l,1) = 24.234*((r^2)*(0.75-r^2));
end



%-------------------------------------------------------------------------
%Plota os graficos
%-------------------------------------------------------------------------

figure(1)
clf
x1=reshape(X(:,1),sqrt(N),sqrt(N));
x2=reshape(X(:,2),sqrt(N),sqrt(N));
y1=reshape(S,sqrt(N),sqrt(N));
surf(x1,x2,y1)

figure(2)
clf
surf(x1,x2,y1)
hold on
plot3(Xs(:,1),Xs(:,2),Ss,'*')

figure(3)
clf
x1=reshape(Xt(:,1),sqrt(Nt),sqrt(Nt));
x2=reshape(Xt(:,2),sqrt(Nt),sqrt(Nt));
y1=reshape(St,sqrt(Nt),sqrt(Nt));
surf(x1,x2,y1)


